StorageAdapter Class Reference

Adapter to adapt framework storage plugin to SyncML stack storage plugin. More...

`#include <StorageAdapter.h>`

Inheritance diagram for StorageAdapter:

## Public Member Functions

| StorageAdapter (Buteo::StoragePlugin *aPlugin)
| Constructor.
virtual | ~StorageAdapter ()
| Destructor.
bool | isValid ()
| Returns if this adapter instance is valid.
Buteo::StoragePlugin * | getPlugin () const
| Returns the FW plugin instance.
bool | init ()
| Initializes adapter.
bool | uninit ()
| Uninitializes adapter.
virtual const QString & | getSourceURI () const
virtual const DataSync::StorageContentFormatInfo & | getFormatInfo () const
virtual qint64 | getMaxObjSize () const
virtual QByteArray | getPluginCTCaps (DataSync::ProtocolVersion aVersion) const
virtual QByteArray | getPluginExts () const
virtual bool | getAll (QList< DataSync::SyncItemKey > &aKeys)
virtual bool | getModifications (QList< DataSync::SyncItemKey > &aNewKeys, QList< DataSync::SyncItemKey > &aReplacedKeys, QList< DataSync::SyncItemKey > &aDeletedKeys, const QDateTime &aTimeStamp)
virtual DataSync::SyncItem * | newItem ()
virtual DataSync::SyncItem * | getSyncItem (const DataSync::SyncItemKey &aKey)
virtual QList< DataSync::SyncItem * > | getSyncItems (const QList< DataSync::SyncItemKey > &aKeyList)
virtual QList< StoragePluginStatus > | addItems (const QList< DataSync::SyncItem * > &aItems)
virtual QList< StoragePluginStatus > | replaceItems (const QList< DataSync::SyncItem * > &aItems)
virtual QList< StoragePluginStatus > | deleteItems (const QList< DataSync::SyncItemKey > &aKeys)
| StorageAdapter (Buteo::StoragePlugin *aPlugin)
| Constructor.
virtual | ~StorageAdapter ()
| Destructor.
bool | isValid ()
| Returns if this adapter instance is valid.
Buteo::StoragePlugin * | getPlugin () const
| Returns the FW plugin instance.
bool | init ()
| Initializes adapter.
bool | uninit ()
| Uninitializes adapter.
virtual const QString & | getSourceURI () const
virtual const DataSync::StorageContentFormatInfo & | getFormatInfo () const
virtual qint64 | getMaxObjSize () const
virtual QByteArray | getPluginCTCaps (DataSync::ProtocolVersion aVersion) const
virtual QByteArray | getPluginExts () const
virtual bool | getAll (QList< DataSync::SyncItemKey > &aKeys)
virtual bool | getModifications (QList< DataSync::SyncItemKey > &aNewKeys, QList< DataSync::SyncItemKey > &aReplacedKeys, QList< DataSync::SyncItemKey > &aDeletedKeys, const QDateTime &aTimeStamp)
virtual DataSync::SyncItem * | newItem ()
virtual DataSync::SyncItem * | getSyncItem (const DataSync::SyncItemKey &aKey)
virtual QList< DataSync::SyncItem * > | getSyncItems (const QList< DataSync::SyncItemKey > &aKeyList)
virtual QList< StoragePluginStatus > | addItems (const QList< DataSync::SyncItem * > &aItems)
virtual QList< StoragePluginStatus > | replaceItems (const QList< DataSync::SyncItem * > &aItems)
virtual QList< StoragePluginStatus > | deleteItems (const QList< DataSync::SyncItemKey > &aKeys)

## Detailed Description

Adapter to adapt framework storage plugin to SyncML stack storage plugin.

This adapter presumes that all DataSync::SyncItem instances passed as parameters to functions of this adapter are originally created by this adapter.

## Constructor & Destructor Documentation

## StorageAdapter() [1/2]

StorageAdapter::StorageAdapter | ( | Buteo::StoragePlugin * | aPlugin | ) |

Constructor.

Parameters

  aPlugin | Plugin that this instance should adapt. Not owned

## StorageAdapter() [2/2]

StorageAdapter::StorageAdapter | ( | Buteo::StoragePlugin * | aPlugin | ) |

Constructor.

Parameters

  aPlugin | Plugin that this instance should adapt. Not owned

## Member Function Documentation

## addItems() [1/2]

virtual QList< StoragePluginStatus > StorageAdapter::addItems | ( | const QList< DataSync::SyncItem * > & | aItems | ) |

virtual

See also
  DataSync::StoragePlugin::addItems()

## addItems() [2/2]

virtual QList< StoragePluginStatus > StorageAdapter::addItems | ( | const QList< DataSync::SyncItem * > & | aItems | ) |

virtual

See also
  DataSync::StoragePlugin::addItems()

## deleteItems() [1/2]

virtual QList< StoragePluginStatus > StorageAdapter::deleteItems | ( | const QList< DataSync::SyncItemKey > & | aKeys | ) |

virtual

See also
  DataSync::StoragePlugin::deleteItems()

## deleteItems() [2/2]

virtual QList< StoragePluginStatus > StorageAdapter::deleteItems | ( | const QList< DataSync::SyncItemKey > & | aKeys | ) |

virtual

See also
  DataSync::StoragePlugin::deleteItems()

## getAll() [1/2]

virtual bool StorageAdapter::getAll | ( | QList< DataSync::SyncItemKey > & | aKeys | ) |

virtual

See also
  DataSync::StoragePlugin::getAll()

## getAll() [2/2]

virtual bool StorageAdapter::getAll | ( | QList< DataSync::SyncItemKey > & | aKeys | ) |

virtual

See also
  DataSync::StoragePlugin::getAll()

## getFormatInfo() [1/2]

virtual const DataSync::StorageContentFormatInfo & StorageAdapter::getFormatInfo | ( |  | ) | const

virtual

See also
  DataSync::StoragePlugin::getSourceURI()

## getFormatInfo() [2/2]

virtual const DataSync::StorageContentFormatInfo & StorageAdapter::getFormatInfo | ( |  | ) | const

virtual

See also
  DataSync::StoragePlugin::getSourceURI()

## getMaxObjSize() [1/2]

virtual qint64 StorageAdapter::getMaxObjSize | ( |  | ) | const

virtual

See also
  DataSync::StoragePlugin::getMaxObjSize()

## getMaxObjSize() [2/2]

virtual qint64 StorageAdapter::getMaxObjSize | ( |  | ) | const

virtual

See also
  DataSync::StoragePlugin::getMaxObjSize()

## getModifications() [1/2]

virtual bool StorageAdapter::getModifications | ( | QList< DataSync::SyncItemKey > & | aNewKeys,
|  | QList< DataSync::SyncItemKey > & | aReplacedKeys,
|  | QList< DataSync::SyncItemKey > & | aDeletedKeys,
|  | const QDateTime & | aTimeStamp )

virtual

See also
  DataSync::StoragePlugin::getModifications()

## getModifications() [2/2]

virtual bool StorageAdapter::getModifications | ( | QList< DataSync::SyncItemKey > & | aNewKeys,
|  | QList< DataSync::SyncItemKey > & | aReplacedKeys,
|  | QList< DataSync::SyncItemKey > & | aDeletedKeys,
|  | const QDateTime & | aTimeStamp )

virtual

See also
  DataSync::StoragePlugin::getModifications()

## getPlugin() [1/2]

Buteo::StoragePlugin * StorageAdapter::getPlugin | ( |  | ) | const

Returns the FW plugin instance.

Returns
  Plugin

## getPlugin() [2/2]

Buteo::StoragePlugin * StorageAdapter::getPlugin | ( |  | ) | const

Returns the FW plugin instance.

Returns
  Plugin

## getPluginCTCaps() [1/2]

virtual QByteArray StorageAdapter::getPluginCTCaps | ( | DataSync::ProtocolVersion | aVersion | ) | const

virtual

See also
  DataSync::StoragePlugin::getPluginCTCaps()

## getPluginCTCaps() [2/2]

virtual QByteArray StorageAdapter::getPluginCTCaps | ( | DataSync::ProtocolVersion | aVersion | ) | const

virtual

See also
  DataSync::StoragePlugin::getPluginCTCaps()

## getPluginExts() [1/2]

virtual QByteArray StorageAdapter::getPluginExts | ( |  | ) | const

virtual

See also
  DataSync::StoragePlugin::getPluginExts()

## getPluginExts() [2/2]

virtual QByteArray StorageAdapter::getPluginExts | ( |  | ) | const

virtual

See also
  DataSync::StoragePlugin::getPluginExts()

## getSourceURI() [1/2]

virtual const QString & StorageAdapter::getSourceURI | ( |  | ) | const

virtual

See also
  DataSync::StoragePlugin::getSourceURI()

## getSourceURI() [2/2]

virtual const QString & StorageAdapter::getSourceURI | ( |  | ) | const

virtual

See also
  DataSync::StoragePlugin::getSourceURI()

## getSyncItem() [1/2]

virtual DataSync::SyncItem * StorageAdapter::getSyncItem | ( | const DataSync::SyncItemKey & | aKey | ) |

virtual

See also
  DataSync::StoragePlugin::getSyncItem()

## getSyncItem() [2/2]

virtual DataSync::SyncItem * StorageAdapter::getSyncItem | ( | const DataSync::SyncItemKey & | aKey | ) |

virtual

See also
  DataSync::StoragePlugin::getSyncItem()

## getSyncItems() [1/2]

virtual QList< DataSync::SyncItem * > StorageAdapter::getSyncItems | ( | const QList< DataSync::SyncItemKey > & | aKeyList | ) |

virtual

See also
  DataSync::StoragePlugin::getSyncItems()

## getSyncItems() [2/2]

virtual QList< DataSync::SyncItem * > StorageAdapter::getSyncItems | ( | const QList< DataSync::SyncItemKey > & | aKeyList | ) |

virtual

See also
  DataSync::StoragePlugin::getSyncItems()

## init() [1/2]

bool StorageAdapter::init | ( |  | ) |

Initializes adapter.

Sets up SyncML storage plugin based on FW plugin properties

Returns
  True if initialization was successful, otherwise false

## init() [2/2]

bool StorageAdapter::init | ( |  | ) |

Initializes adapter.

Sets up SyncML storage plugin based on FW plugin properties

Returns
  True if initialization was successful, otherwise false

## isValid() [1/2]

bool StorageAdapter::isValid | ( |  | ) |

Returns if this adapter instance is valid.

Returns
  True if this adapter instance is valid, otherwise false

## isValid() [2/2]

bool StorageAdapter::isValid | ( |  | ) |

Returns if this adapter instance is valid.

Returns
  True if this adapter instance is valid, otherwise false

## newItem() [1/2]

virtual DataSync::SyncItem * StorageAdapter::newItem | ( |  | ) |

virtual

See also
  DataSync::StoragePlugin::newItem()

## newItem() [2/2]

virtual DataSync::SyncItem * StorageAdapter::newItem | ( |  | ) |

virtual

See also
  DataSync::StoragePlugin::newItem()

## replaceItems() [1/2]

virtual QList< StoragePluginStatus > StorageAdapter::replaceItems | ( | const QList< DataSync::SyncItem * > & | aItems | ) |

virtual

See also
  DataSync::StoragePlugin::replaceItems()

## replaceItems() [2/2]

virtual QList< StoragePluginStatus > StorageAdapter::replaceItems | ( | const QList< DataSync::SyncItem * > & | aItems | ) |

virtual

See also
  DataSync::StoragePlugin::replaceItems()

## uninit() [1/2]

bool StorageAdapter::uninit | ( |  | ) |

Uninitializes adapter.

Returns
  True if uninitialization was successful, otherwise false

## uninit() [2/2]

bool StorageAdapter::uninit | ( |  | ) |

Uninitializes adapter.

Returns
  True if uninitialization was successful, otherwise false

The documentation for this class was generated from the following files:

- debian/tmp/usr/include/syncmlcommon/StorageAdapter.h
- syncmlcommon/StorageAdapter.h